Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet
Class RequestUtils

    java.lang.Object
      com.ejie.r01f.servlet.RequestUtils

public class RequestUtils
extends java.lang.Object

Clase de utilidad para los parametros de la request

See Also:
  `RequestParamParser`

Constructor Summary
`RequestUtils()`

Method Summary
`static java.lang.String` | `composeRequestParamsDebufInfo(javax.servlet.http.HttpServletRequest req)` Obtiene una traza de depuración de los parámetros de la request
`static javax.servlet.RequestDispatcher` | `getRequestDispatcher(javax.servlet.ServletContext ctx, java.lang.String path)` Obtiene un request dispatcher
`static java.lang.String` | `obtainClientIP(javax.servlet.http.HttpServletRequest req)` Obtiene la ip de cliente
`static void` | `redirect(javax.servlet.ServletConfig config, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, java.lang.String path)` Redirige la request a una url, haciendo la redirección que sea necesaria: - Redirección de cliente si el path que llega es absoluto - Relativa dentro del mismo war - Relativa a otro war

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestUtils

    public RequestUtils()

Method Detail

### obtainClientIP

    public static java.lang.String obtainClientIP(javax.servlet.http.HttpServletRequest req)

  Obtiene la ip de cliente

  Parameters:
    `req` - request
  Returns:
    la ip del cliente

### getRequestDispatcher

    public static javax.servlet.RequestDispatcher getRequestDispatcher(javax.servlet.ServletContext ctx,
                                                                       java.lang.String path)

  Obtiene un request dispatcher

  Parameters:
    `ctx` - el contexto de ejecución del servlet
    `path` - el path al que se quiere obtener un request dispatcher
  Returns:
    un `RequestDispatcher`

### redirect

    public static void redirect(javax.servlet.ServletConfig config,
                                javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse res,
                                java.lang.String path)
                         throws javax.servlet.ServletException

  Redirige la request a una url, haciendo la redirección que sea necesaria: - Redirección de cliente si el path que llega es absoluto - Relativa dentro del mismo war - Relativa a otro war

  Parameters:
    `config` - La configuración del servlet
    `req` - La request
    `res` - La response
    `path` - El path al que se quiere redirigir
  Throws:
    `javax.servlet.ServletException` - Si ocurre algún error al redirigir

### composeRequestParamsDebufInfo

    public static java.lang.String composeRequestParamsDebufInfo(javax.servlet.http.HttpServletRequest req)

  Obtiene una traza de depuración de los parámetros de la request

  Parameters:
    `req` - la request
  Returns:
    la traza

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD